Loading...
Searching...
No Matches
Opm::ConditionalStorage< cond, T > Class Template Reference

A simple class which only stores a given member attribute if a boolean condition is true. More...

`#include <ConditionalStorage.hpp>`

## Public Types

typedef T | type

## Public Member Functions

OPM_HOST_DEVICE | ConditionalStorage (const T &v)
OPM_HOST_DEVICE | ConditionalStorage (T &&v)
template<class ... Args>
OPM_HOST_DEVICE | ConditionalStorage (Args... args)
OPM_HOST_DEVICE | ConditionalStorage (const ConditionalStorage &t)
OPM_HOST_DEVICE | ConditionalStorage (ConditionalStorage &&t)
OPM_HOST_DEVICE ConditionalStorage & | operator= (const ConditionalStorage &v)
OPM_HOST_DEVICE ConditionalStorage & | operator= (ConditionalStorage &&v)
OPM_HOST_DEVICE const T & | operator* () const
OPM_HOST_DEVICE T & | operator* ()
OPM_HOST_DEVICE const T * | operator-> () const
OPM_HOST_DEVICE T * | operator-> ()
OPM_HOST_DEVICE | operator const T & () const
OPM_HOST_DEVICE | operator T& ()

## Static Public Attributes

static constexpr bool | condition = cond

## Detailed Description

template<bool cond, class T>
class Opm::ConditionalStorage< cond, T >

A simple class which only stores a given member attribute if a boolean condition is true.

If the condition is false, nothing is stored and an exception is thrown when trying to access the object.

The documentation for this class was generated from the following file:

- opm/material/common/ConditionalStorage.hpp